# Crow: crow::multipart::message Struct Reference

Loading...
Searching...
No Matches
crow::multipart::message Struct Reference

The parsed multipart request/response. More...

`#include <multipart.h>`

Inheritance diagram for crow::multipart::message:

## Public Member Functions

const std::string & | get_header_value (const std::string &key) const
part | get_part_by_name (const std::string &name)
std::string | dump () const override
| Represent all parts as a string (does not include message headers)
std::string | dump (int part_) const
| Represent an individual part as a string.
| message (const ci_map &headers, const std::string &boundary, const std::vector< part > &sections)
| Default constructor using default values.
| message (const request &req)
| Create a multipart message from a request data.
Public Member Functions inherited from crow::returnable
| returnable (std::string ctype)

## Public Attributes

ci_map | headers
| The request/response headers.
std::string | boundary
| The text boundary that separates different `parts`
std::vector< part > | parts
| The individual parts of the message.
mp_map | part_map
| The individual parts of the message, organized in a map with the `name` header parameter being the key.
Public Attributes inherited from crow::returnable
std::string | content_type

## Detailed Description

The parsed multipart request/response.

## Member Function Documentation

## dump()

std::string crow::multipart::message::dump | ( |  | ) | const

inlineoverridevirtual

Represent all parts as a string (does not include message headers)

Implements crow::returnable.

The documentation for this struct was generated from the following file:

- include/crow/multipart.h